Subject: Re: bug#16150: Emacs not deleting lock files when system-name is set to nil

From: Micky <[email-masked]>
Date: Sun, 15 Dec 2013 01:25:52 +0500

Ehh.. just because one could do that? And setting it to nil shoots no
errors during the --init. This gives enough assumptions, I believe ;)

On Sun, Dec 15, 2013 at 1:22 AM, Glenn Morris <[email-masked]> wrote:

> Micky wrote:
>
> > When setting system-name to nil (should that be allowed?), Emacs forgets
> > how to delete the lock files '.#.*' and all subsequent startups complain
> > about lockups by old dead PIDs.
>
> I think this is a "don't do that, then".
> If Emacs fails to set system-name, that is a bug.
> If you actively set system-name to nil, that's just shooting yourself
> in the foot.
> Why did you want to do that, and what made you think it would work?
>